]> git.sur5r.net Git - bacula/bacula/commitdiff
Tweak add copyright to regression tests that do not have one
authorKern Sibbald <kern@sibbald.com>
Thu, 25 May 2017 09:53:03 +0000 (11:53 +0200)
committerKern Sibbald <kern@sibbald.com>
Thu, 25 May 2017 09:53:03 +0000 (11:53 +0200)
20 files changed:
regress/tests/2drive-offline-test
regress/tests/2media-virtual-test
regress/tests/broken-media-bug-test
regress/tests/bvfs-acl-test [new file with mode: 0755]
regress/tests/bvfs-cmds-test [new file with mode: 0755]
regress/tests/bvfs-test
regress/tests/certify-changer
regress/tests/concurrent-jobs-test
regress/tests/copy-job-test
regress/tests/crazy-smaller-vol-test
regress/tests/file-span-vol-test
regress/tests/jobmedia-bug2-test
regress/tests/maxdev-test
regress/tests/maxuseduration-test
regress/tests/mcj-test
regress/tests/pool-attributes-test
regress/tests/restart2-job-test
regress/tests/three-pool-test
regress/tests/truncate-concurrent-test
regress/tests/vtape-round-robin-changer

index 9351ccf924ec84b965f86dd66a4780db01e0bd1e..c5d44f7611f082a273e8872fa4b23aadbb355dad 100755 (executable)
@@ -1,5 +1,8 @@
 #!/bin/sh
 #
+# Copyright (C) 2000-2017 Kern Sibbald
+# License: BSD 2-Clause; see file LICENSE-FOSS
+#
 # Set prefer mounted volumes to no to try to force use of
 #   the drive swap code.
 #
index 32ea1a7961cfcb80834e8fa7ea44e81c3fe05b31..571c2e5767181a60cdfb917c4d5d192736619f23 100755 (executable)
@@ -1,5 +1,8 @@
 #!/bin/sh
 #
+# Copyright (C) 2000-2017 Kern Sibbald
+# License: BSD 2-Clause; see file LICENSE-FOSS
+#
 # Test running a Virtual disk changer with two Media Types
 #   and two different Archive directories
 #   This tests bug #8033 where a Volume is not truncated,
index 0c6530e5fad55caccd5d8de8676151be23458be3..4e6a887183352b41cb564c8bfe2e9c08780e707d 100644 (file)
@@ -1,5 +1,8 @@
 #!/bin/sh
 #
+# Copyright (C) 2000-2017 Kern Sibbald
+# License: BSD 2-Clause; see file LICENSE-FOSS
+#
 # Copyright (C) 2000-2015 Kern Sibbald
 # License: BSD 2-Clause; see file LICENSE-FOSS
 #
diff --git a/regress/tests/bvfs-acl-test b/regress/tests/bvfs-acl-test
new file mode 100755 (executable)
index 0000000..47c448c
--- /dev/null
@@ -0,0 +1,168 @@
+#!/bin/sh
+#
+# Copyright (C) 2000-2017 Kern Sibbald
+# License: BSD 2-Clause; see file LICENSE-FOSS
+#
+#
+# Run a simple backup of the Bacula build directory then create some           
+#   new files, do an Incremental and restore those two files.
+# test the bvfs interface
+#
+TestName="bvfs-acl-test"
+JobName=Incremental 
+. scripts/functions
+
+${rscripts}/cleanup
+${rscripts}/copy-test-confs
+echo "${tmpsrc}" >${tmp}/file-list
+echo "${cwd}/build" >> ${tmp}/file-list
+
+mkdir -p ${tmpsrc}
+cp -p ${src}/src/dird/*.c ${tmpsrc}
+cd ${tmp}
+echo "${tmpsrc}/ficheriro1.txt" >restore-list
+echo "${tmpsrc}/ficheriro2.txt" >>restore-list
+cd ${cwd}
+
+# Create a new client
+$bperl -e "print get_resource('$conf/bacula-dir.conf', 'Client', '$HOST-fd')" | sed "s/$HOST-fd/$HOST-fd2/" >> $conf/bacula-dir.conf
+$bperl -e "print get_resource('$conf/bacula-dir.conf', 'Client', '$HOST-fd')" | sed "s/$HOST-fd/$HOST-fd3/" >> $conf/bacula-dir.conf
+
+cat <<EOF >> $conf/bacula-dir.conf
+Console {
+  Name = restricted-user
+  Password = "xxx"
+  JobACL = NightlySave, $JobName
+  ClientACL = $HOST-fd
+  PoolACL = Default
+  FileSetACL = CompressedSet
+  CatalogACL = *all*
+  CommandACL = show, .jobs, messages, .pool, .storage, .client, .fileset, .bvfs_get_jobids, .bvfs_restore, .bvfs_lsdirs, .bvfs_update, reload, quit, .bvfs_lsfiles
+  WhereACL = "/"
+  DirectoryAcl = *all*
+}
+EOF
+
+cp $conf/bconsole.conf $conf/bconsole.conf.2
+
+cat <<EOF >> $conf/bconsole.conf.2
+Console {
+  Name = restricted-user
+  Password = xxx
+}
+EOF
+
+change_jobname CompressedTest $JobName
+start_test
+
+cat <<END_OF_DATA >${tmp}/bconcmds
+@$out /dev/null
+messages
+@$out ${tmp}/log1.out
+label storage=File volume=TestVolume001
+label storage=File volume=TestVolume00
+run job=$JobName client=$HOST-fd yes
+wait
+messages
+run job=$JobName client=$HOST-fd2 yes
+wait
+messages
+run job=$JobName client=$HOST-fd3 yes
+wait
+messages
+run job=NightlySave client=$HOST-fd yes
+wait
+messages
+@exec "touch ${tmpsrc}/fic1"
+run job=$JobName client=$HOST-fd2 yes
+wait
+messages
+run job=$JobName client=$HOST-fd3 yes
+wait
+messages
+run job=$JobName client=$HOST-fd yes
+wait
+messages
+run job=NightlySave client=$HOST-fd yes
+wait
+messages
+.bvfs_update
+@$out $tmp/out10.log
+.bvfs_get_jobids client=$HOST-fd
+quit
+END_OF_DATA
+
+run_bacula
+check_for_zombie_jobs storage=File $HOST-fd
+
+cat << EOF > $tmp/cmd
+@$out $tmp/out10.log
+.bvfs_get_jobids client=$HOST-fd
+.bvfs_lsfiles jobid=1 path=${tmpsrc}/ filename=dird_conf.c
+@$out $tmp/out11.log
+.bvfs_get_jobids client=$HOST-fd2
+.bvfs_lsfiles jobid=2 path=${tmpsrc}/ filename=dird_conf.c
+@$out $tmp/out12.log
+.bvfs_get_jobids client=$HOST-fd3
+.bvfs_lsfiles jobid=3 path=${tmpsrc}/ filename=dird_conf.c
+EOF
+
+cat <<END_OF_DATA >${tmp}/bconcmds
+reload
+END_OF_DATA
+
+$bin/bconsole -c $conf/bconsole.conf.2 < $tmp/cmd
+
+sed -i "s/out1/out2/" $tmp/cmd
+sed -i "s/ClientACL = $HOST-fd/ClientACL = $HOST-fd2/" $conf/bacula-dir.conf
+
+run_bconsole
+
+$bin/bconsole -c $conf/bconsole.conf.2 < $tmp/cmd
+
+sed -i "s/out2/out3/" $tmp/cmd
+sed -i "s/ClientACL = $HOST-fd2/ClientACL = $HOST-fd3/" $conf/bacula-dir.conf
+
+run_bconsole
+
+$bin/bconsole -c $conf/bconsole.conf.2 < $tmp/cmd
+
+stop_bacula
+
+grep -E "\s1\s.*dird_conf.c" $tmp/out10.log > /dev/null
+if [ $? -ne 0 ]; then
+    print_debug "ERROR: should find dird_conf.c for jobid 1 in out10.log"
+    estat=1
+fi
+
+grep -E "\s[32]\s.*dird_conf.c" $tmp/out11.log $tmp/out12.log > /dev/null
+if [ $? -eq 0 ]; then
+    print_debug "ERROR: should not find dird_conf.c for jobid 2 or 3 in out10.log or out11.log"
+    estat=2
+fi
+
+grep -E "\s2\s.*dird_conf.c" $tmp/out21.log > /dev/null
+if [ $? -ne 0 ]; then
+    print_debug "ERROR: should find dird_conf.c for jobid 2 in out21.log"
+    estat=3
+fi
+
+grep -E "\s[31]\s.*dird_conf.c" $tmp/out20.log $tmp/out22.log > /dev/null
+if [ $? -eq 0 ]; then
+    print_debug "ERROR: should not find dird_conf.c for jobid 3 or 1 in out20.log or out22.log"
+    estat=4
+fi
+
+grep -E "\s3\s.*dird_conf.c" $tmp/out32.log > /dev/null
+if [ $? -ne 0 ]; then
+    print_debug "ERROR: should find dird_conf.c for jobid 3 in out32.log"
+    estat=5
+fi
+
+grep -E "\s[21]\s.*dird_conf.c" $tmp/out31.log $tmp/out30.log > /dev/null
+if [ $? -eq 0 ]; then
+    print_debug "ERROR: should not find dird_conf.c for jobid 2 or 1 in out31.log or out30.log"
+    estat=6
+fi
+
+end_test
diff --git a/regress/tests/bvfs-cmds-test b/regress/tests/bvfs-cmds-test
new file mode 100755 (executable)
index 0000000..b266b90
--- /dev/null
@@ -0,0 +1,95 @@
+#!/bin/sh
+#
+# Copyright (C) 2000-2017 Kern Sibbald
+# License: BSD 2-Clause; see file LICENSE-FOSS
+#
+# Run a simple backup of the Bacula build directory then create some           
+#   new files, do an Incremental and restore those two files.
+# test the bvfs interface
+#
+TestName="bvfs-cmds-test"
+JobName=Incremental 
+. scripts/functions
+
+${rscripts}/cleanup
+${rscripts}/copy-test-confs
+echo "${tmpsrc}" >${tmp}/file-list
+
+mkdir -p $tmpsrc
+cp -p $src/src/dird/*.c $tmpsrc
+
+change_jobname CompressedTest $JobName
+start_test
+
+$bperl -e 'add_attribute("$conf/bacula-dir.conf", "ClientRunBeforeJob", "sleep 2", "Job")'
+
+cat <<END_OF_DATA >$tmp/bconcmds
+@$out /dev/null
+messages
+@$out ${tmp}/log1.out
+label storage=File volume=TestVolume001
+run job=$JobName yes
+wait
+@exec "touch $tmpsrc/dird.c"
+run job=$JobName yes
+wait
+@exec "touch $tmpsrc/ua_cmds.c"
+run job=$JobName yes
+wait
+@exec "touch $tmpsrc/ua_dotcmds.c"
+run job=$JobName yes
+wait
+messages
+quit
+END_OF_DATA
+
+run_bacula
+check_for_zombie_jobs storage=File
+
+cat <<EOF >$tmp/bconcmds
+@$out /dev/null
+use MyCatalog
+@$out $tmp/log0.out
+sql
+SELECT JobId, StartTime, EndTime FROM Job;
+
+EOF
+
+run_bconsole
+
+start=`perl -ne '/(\d)\s+\|\s+([0-9 :-]+?)\s*\|/ && ($1 == 2) && print $2' $tmp/log0.out` 
+
+cat <<EOF >$tmp/bconcmds
+@$out /dev/null
+use MyCatalog
+@$out $tmp/log3.out
+.bvfs_get_jobids client=$CLIENT
+@$out $tmp/log4.out
+.bvfs_get_jobids client=$CLIENT count
+@$out $tmp/log5.out
+.bvfs_get_jobids client=$CLIENT count limit=2
+@$out $tmp/log6.out
+.bvfs_get_jobids client=$CLIENT count start="$start"
+@$out $tmp/log7.out
+.bvfs_get_jobids client=$CLIENT count end="$start"
+EOF
+
+run_bconsole
+
+estat=0
+grep '^1,2,3,4$' $tmp/log3.out  >/dev/null # All jobids
+estat=`expr $estat + $?`
+grep '^4$' $tmp/log4.out        >/dev/null # Number of jobs
+estat=`expr $estat + $?`
+grep '^2$' $tmp/log5.out        >/dev/null # with a limit
+estat=`expr $estat + $?`
+grep '^3$' $tmp/log6.out        >/dev/null # with a filter on the date
+estat=`expr $estat + $?`
+grep '^2$' $tmp/log7.out        >/dev/null # with a filter on the date
+estat=`expr $estat + $?`
+
+stop_bacula
+touch $tmp/log2.out
+check_two_logs
+
+end_test
index 17195eec6bf87c989beaa713cd2e42b70f1b924c..ca4f515ef3e574efbf6d6a6078c412ec5398ced0 100755 (executable)
@@ -1,9 +1,7 @@
 #!/bin/sh
 #
-# Copyright (C) 2000-2015 Kern Sibbald
+# Copyright (C) 2000-2017 Kern Sibbald
 # License: BSD 2-Clause; see file LICENSE-FOSS
-#
-
 #
 # Run a simple backup of the Bacula build directory then create some           
 #   new files, do an Incremental and restore those two files.
index f33077633c75cde59575e12548463e7774bdbac7..e1dd06d453f1a76994e10ee60e239f42c5eab299 100755 (executable)
@@ -1,5 +1,8 @@
 #!/bin/sh 
 #
+# Copyright (C) 2000-2017 Kern Sibbald
+# License: BSD 2-Clause; see file LICENSE-FOSS
+#
 # Script to automate hardware certification
 # This script assumes that everything is in regress/bin and that
 # you have an autochanger
index b5872f4ab2b6b65e634dd74f98ee18eeab690e31..420f50e06167ea2c6f1a4f14d8f456482d19fa20 100755 (executable)
@@ -1,5 +1,8 @@
 #!/bin/sh
 #
+# Copyright (C) 2000-2017 Kern Sibbald
+# License: BSD 2-Clause; see file LICENSE-FOSS
+#
 # Run two jobs at the same time
 #
 
index 14a2b68b0dcd5a740bd360828cac3bd584bb5a80..da6922cb7b33db3a0850458f4261949d7b573cc1 100755 (executable)
@@ -1,5 +1,8 @@
 #!/bin/sh
 #
+# Copyright (C) 2000-2017 Kern Sibbald
+# License: BSD 2-Clause; see file LICENSE-FOSS
+#
 # Run a simple backup of the Bacula build directory then copy it
 #   to another device.
 #
index 7263b885b2fe8c0e71a647c7b11e6c6ba01b919b..356b7f596a2f859182b4edf586e5bd0a6f6bc9f9 100755 (executable)
@@ -1,5 +1,8 @@
 #!/bin/sh
 #
+# Copyright (C) 2000-2017 Kern Sibbald
+# License: BSD 2-Clause; see file LICENSE-FOSS
+#
 # A shell and stripped down version version of the crazy-small-volume-test.py
 #
 #
index d815cd674feff2b4bb28cc8b755251e9dbe03390..e8b6ba3e2b351397b13d7bf1ed2213b78be53617 100755 (executable)
@@ -1,5 +1,8 @@
 #!/bin/sh
 #
+# Copyright (C) 2000-2017 Kern Sibbald
+# License: BSD 2-Clause; see file LICENSE-FOSS
+#
 # Run a simple backup of a big file but 
 #   split the archive into four volumes, two of which are
 #   totally full. I.e. make sure that bsr selects all tapes 
index f1c6e4f78a283d9d7b2cba870fa6fa58ce734aca..e89201c515ec2071c839361f0a1058b7d6636993 100755 (executable)
@@ -1,5 +1,8 @@
 #!/bin/sh
 #
+# Copyright (C) 2000-2017 Kern Sibbald
+# License: BSD 2-Clause; see file LICENSE-FOSS
+#
 # The script is writing simultaneously (20 jobs) on the same device
 # Normally each job will have to generate many JobMedia. Let see if
 # all JobMedia records are fine.
index b24d4bbe8aa8597973625f97a33191d8f51b73fc..6c4844dc0e5cf05e72f711364adc3e616980efee 100755 (executable)
@@ -1,4 +1,7 @@
-                                  #!/bin/sh
+#!/bin/sh
+#
+# Copyright (C) 2000-2017 Kern Sibbald
+# License: BSD 2-Clause; see file LICENSE-FOSS
 #
 # Run backups with dummy tape driver
 # This test setups an Autochanger with 80 slots
index 377f1679d7ac6943e6ba24e792a1ddfd2ecf30c3..248287abfba58f2c4611a924a753aea659dce47f 100755 (executable)
@@ -1,5 +1,8 @@
 #!/bin/sh
 #
+# Copyright (C) 2000-2017 Kern Sibbald
+# License: BSD 2-Clause; see file LICENSE-FOSS
+#
 # Run four jobs at the same time, with four Volumes, but set
 #   Maximum Job Volumes = 1 on each of the Volumes.  Note,
 #   Volume 2 will probably have two jobs on it.  Something to
index e92a335e551d4c2bf11e56988a7da0cb8f5e3ec1..95695f3a1c05f9eb5f3dc95647d3883c8d9c3d65 100755 (executable)
@@ -1,5 +1,8 @@
 #!/bin/sh
 #
+# Copyright (C) 2000-2017 Kern Sibbald
+# License: BSD 2-Clause; see file LICENSE-FOSS
+#
 # Run a simple backup of the Bacula build directory and see
 # if bacula is respecting the maximum concurrent job (MJC)
 #
index baf5ae6dbd42a50fcc4945a05cebbe3ffc6dfecf..7d0c6ed8a7d6ea0cf822ee8d90273880084a652d 100755 (executable)
@@ -1,5 +1,8 @@
 #!/bin/sh
 #
+# Copyright (C) 2000-2017 Kern Sibbald
+# License: BSD 2-Clause; see file LICENSE-FOSS
+#
 # See if Pool/Media attributes are correctly handled
 #
 TestName="pool-attributes-test"
index 4bdc904f6ca2f8a976a4042d6c83f94e159ed8f2..be9b22496c382c43d959163c0f89f2b950dd9750 100755 (executable)
@@ -1,5 +1,8 @@
 #!/bin/sh
 #
+# Copyright (C) 2000-2017 Kern Sibbald
+# License: BSD 2-Clause; see file LICENSE-FOSS
+#
 # Run a backup of the build directory but force it to have
 #   a comm error, and check that it restarts correctly.
 #
index c8bf7ae11efb7ed2643723102ff472137fab450e..2bac8554747e0ab22772062f6877a8766452cde7 100755 (executable)
@@ -1,5 +1,8 @@
 #!/bin/sh
 #
+# Copyright (C) 2000-2017 Kern Sibbald
+# License: BSD 2-Clause; see file LICENSE-FOSS
+#
 # Run a simple backup of the Bacula build directory. Create three
 #   tapes, each in a different pool, then run two jobs both of which
 #   want the tape that is not loaded.  Note, they both have     
index 6d022379a8903480c117510448710057c0dfdb52..f8e3d8d15d34934e4a777fc1040659b9ac4849e6 100755 (executable)
@@ -1,5 +1,8 @@
 #!/bin/sh
 #
+# Copyright (C) 2000-2017 Kern Sibbald
+# License: BSD 2-Clause; see file LICENSE-FOSS
+#
 # Test truncate command in //
 #
 #
index d93c98e5940447fc6edc7e464f2e44a8ac8e4584..a677ce9cedf70ece344fac781756dc6cf4f09b7b 100755 (executable)
@@ -1,5 +1,8 @@
 #!/bin/sh
 #
+# Copyright (C) 2000-2017 Kern Sibbald
+# License: BSD 2-Clause; see file LICENSE-FOSS
+#
 # Run backups with dummy tape driver
 # This test setups an Autochanger with 80 slots
 # and 5 drives (3 LTO3 and 2 LTO1)